Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tapestry5.ioc.internal
Enum ConfigurationType

    java.lang.Object
      java.lang.Enum<ConfigurationType>
          org.apache.tapestry5.ioc.internal.ConfigurationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ConfigurationType>

    public enum ConfigurationType

extends java.lang.Enum<ConfigurationType>

Defines the three types of configurations a service may request.

Enum Constant Summary
`MAPPED`
`ORDERED`
`UNORDERED`

Method Summary
`static ConfigurationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNORDERED

    public static final ConfigurationType UNORDERED

See Also:
  `Configuration`

### ORDERED

    public static final ConfigurationType ORDERED

See Also:
  `OrderedConfiguration`

### MAPPED

    public static final ConfigurationType MAPPED

See Also:
  `MappedConfiguration`

Method Detail

### values

    public static final ConfigurationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(ConfigurationType c : ConfigurationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static ConfigurationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2012 The Apache Software Foundation.